# This is the default configuration file.

Faker/DeprecatedArguments:
  Description: 'Checks that Faker arguments style is based on Faker 2.'
  Enabled: true
  VersionAdded: '0.1'
  Reference: 'https://github.com/faker-ruby/faker/blob/master/CHANGELOG.md#v20-2019-31-07'
  ArgumentKeywords:
    #
    # FakerClassName:
    #   method_name:
    #     - keyword_name_for_first_argument
    #     - keyword_name_for_second_argument
    #     - keyword_name_for_third_argument
    #
    Faker::Dune:
      quote:
        - character
      saying:
        - source
    Faker::Books::Lovecraft:
      fhtagn:
        - number
      sentence:
        - word_count
        - random_words_to_add
      words:
        - number
        - spaces_allowed
      sentences:
        - number
      paragraph:
        - sentence_count
        - random_sentences_to_add
      paragraphs:
        - number
      paragraph_by_chars:
        - characters
    Faker::Address:
      city:
        - options
      street_address:
        - include_secondary
      zip_code:
        - state_abbreviation
      country_by_code:
        - code
      country_name_to_code:
        - name
    Faker::Alphanumeric:
      alpha:
        - number
      alphanumeric:
        - number
    Faker::App:
      semantic_version:
        - major
        - minor
        - patch
    Faker::Avatar:
      image:
        - slug
        - size
        - format
        - set
        - bgset
    Faker::Bank:
      account_number:
        - digits
      iban:
        - country_code
    Faker::Boolean:
      boolean:
        - true_ratio
    Faker::ChileRut:
      rut:
        - min_rut
        - fixed
      full_rut:
        - min_rut
        - fixed
    Faker::Code:
      isbn:
        - base
      ean:
        - base
      nric:
        - min_age
        - max_age
    Faker::Commerce:
      promotion_code:
        - digits
      department:
        - max
        - fixed_amount
      price:
        - range
        - as_string
    Faker::Company:
      polish_register_of_national_economy:
        - length
      brazilian_company_number:
        - formatted
    Faker::CryptoCoin:
      coin_name:
        - coin
      acronym:
        - coin
      url_logo:
        - coin
    Faker::Date:
      between:
        - from
        - to
      between_except:
        - from
        - to
        - excepted
      forward:
        - days
      backward:
        - days
      birthday:
        - min_age
        - max_age
    Faker::Demographic:
      height:
        - unit
    Faker::DrivingLicence:
      british_driving_licence:
        - last_name
        - initials
        - gender
        - date_of_birth
    Faker::File:
      dir:
        - segment_count
        - root
        - directory_separator
      file_name:
        - dir
        - name
        - ext
        - directory_separator
    Faker::Fillmurray:
      image:
        - grayscale
        - width
        - height
    Faker::Finance:
      vat_number:
        - country
    Faker::Hipster:
      words:
        - number
        - supplemental
        - spaces_allowed
      sentence:
        - word_count
        - supplemental
        - random_words_to_add
      sentences:
        - number
        - supplemental
      paragraph:
        - sentence_count
        - supplemental
        - random_sentences_to_add
      paragraphs:
        - number
        - supplemental
      paragraph_by_chars:
        - characters
        - supplemental
    Faker::IDNumber:
      brazilian_citizen_number:
        - formatted
      brazilian_id:
        - formatted
    Faker::Internet:
      email:
        - name
        - separators
      free_email:
        - name
      safe_email:
        - name
      username:
        - specifier
        - separators
      password:
        - min_length
        - max_length
        - mix_case
        - special_characters
      domain_name:
        - subdomain
      fix_umlauts:
        - string
      mac_address:
        - prefix
      url:
        - host
        - path
        - scheme
      slug:
        - words
        - glue
      user_agent:
        - vendor
    Faker::Invoice:
      amount_between:
        - from
        - to
      creditor_reference:
        - ref
      reference:
        - ref
    Faker::Json:
      shallow_json:
        - width
        - options
      add_depth_to_json:
        - json
        - width
        - options
    Faker::Lorem:
      words:
        - number
        - supplemental
      characters:
        - number
      sentence:
        - word_count
        - supplemental
        - random_words_to_add
      sentences:
        - number
        - supplemental
      paragraph:
        - sentence_count
        - supplemental
        - random_sentences_to_add
      paragraphs:
        - number
        - supplemental
      paragraph_by_chars:
        - number
        - supplemental
      question:
        - word_count
        - supplemental
        - random_words_to_add
      questions:
        - number
        - supplemental
    Faker::LoremFlickr:
      image:
        - size
        - search_terms
        - match_all
      grayscale_image:
        - size
        - search_terms
        - match_all
      pixelated_image:
        - size
        - search_terms
        - match_all
      colorized_image:
        - size
        - color
        - search_terms
        - match_all
    Faker::LoremPixel:
      image:
        - size
        - is_gray
        - category
        - number
        - text
        - secure
    Faker::Markdown:
      sandwich:
        - sentences
        - repeat
    Faker::Measurement:
      height:
        - amount
      length:
        - amount
      volume:
        - amount
      weight:
        - amount
      metric_height:
        - amount
      metric_length:
        - amount
      metric_volume:
        - amount
      metric_weight:
        - amount
    Faker::Name:
      initials:
        - number
    Faker::NationalHealthService:
      check_digit:
        - number
    Faker::Number:
      number:
        - digits
      leading_zero_number:
        - digits
      decimal_part:
        - digits
      decimal:
        - l_digits
        - r_digits
      hexadecimal:
        - digits
      normal:
        - mean
        - standard_deviation
      between:
        - from
        - to
      within:
        - range
      positive:
        - from
        - to
      negative:
        - from
        - to
    Faker::Omniauth:
      google:
        - name
        - email
        - uid
      facebook:
        - name
        - email
        - username
        - uid
      twitter:
        - name
        - nickname
        - uid
      linkedin:
        - name
        - email
        - uid
      github:
        - name
        - email
        - uid
    Faker::PhoneNumber:
      subscriber_number:
        - length
    Faker::Placeholdit:
      image:
        - size
        - format
        - background_color
        - text_color
        - text
    Faker::Relationship:
      familial:
        - connection
    Faker::Source:
      hello_world:
        - lang
      print:
        - str
        - lang
      print_1_to_10:
        - lang
    Faker::String:
      random:
        - length
    Faker::Stripe:
      valid_card:
        - card_type
      valid_token:
        - card_type
      invalid_card:
        - card_error
      ccv:
        - card_type
    Faker::Time:
      between:
        - from
        - to
        - format
      between_dates:
        - from
        - to
        - period
        - format
      forward:
        - days
        - period
        - format
      backward:
        - days
        - period
        - format
    Faker::Twitter:
      user:
        - include_status
        - include_email
      status:
        - include_user
        - include_photo
      status_entities:
        - include_photo
    Faker::Types:
      rb_string:
        - words
      rb_integer:
        - from
        - to
      rb_hash:
        - number
        - type
      complex_rb_hash:
        - number
      rb_array:
        - len
    Faker::Vehicle:
      model:
        - make_of_model
      mileage:
        - min
        - max
      license_plate:
        - state_abbreviation
    Faker::WorldCup:
      group:
        - group
      roster:
        - country
        - type
    Faker::Dota:
      quote:
        - hero
    Faker::Movies::StarWars:
      quote:
        - character
